%global dlrn_nvr ironic-python-agent-builder-2.8.0-1.20220727181453.e0b51e0
%global dlrn 1
%define upstream_version 2.8.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global rhosp 1

Name:           openstack-ironic-python-agent-builder
Summary:        Builder of ironic-python-agent ramdisk images
Version: 2.8.0
Release: 1.20220727181453.e0b51e0%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://docs.openstack.org/ironic-python-agent-builder
Source0: ironic-python-agent-builder-2.8.0-1.20220727181453.e0b51e0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=e0b51e07f0b7a3e9a3aea170c479f3bfec7df5af

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/ironic-python-agent-builder/ironic-python-agent-builder-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

%if 0%{?rhosp}
Epoch:		1
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:       diskimage-builder >= 3.4.0

%description
This package contains a script to build an ironic-python-agent builder, as well
as a diskimage-builder element for it.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n ironic-python-agent-builder-%{upstream_version} -S git
# Let RPM handle the dependencies
rm -f {,test-}requirements.txt

%build
%{py3_build}

%install
%{py3_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%license LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{python3_sitelib}/ironic_python_agent_builder*
%{_bindir}/ironic-python-agent-builder
%{_datadir}/ironic-python-agent-builder

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:2.8.0-1.20220727181453.e0b51e0
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1:2.8.0-1.20220714123054.e0b51e0
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1:2.8.0-1.20220713080813.e0b51e0
- Update patches

* Sun Mar 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:2.8.0-0.20220327061952.e0b51e0
- Update patches

* Fri Mar 18 2022 OSP Prod Chain <dev-null@redhat.com> 2.8.0-0.20220319022238.e0b51e0
- Update patches

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220224043445.e0b51e0
- Update patches
- Create random character devices so systemd does not crash
- Move centos9 jobs from experimental to check
- Remove centos7 job, python2 support

* Tue Feb 22 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220223042227.a265200
- Update patches
- Use native Centos 8 Stream for dib images

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220125102228.3078aa0
- Update patches
- Preliminary work to support CentOS 9 Stream

* Tue Jan 18 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220119041838.34c68f0
- Update patches
- Replace genisoimage with xorriso

* Sat Oct 23 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20211023041917.4b511e7
- Update patches

* Mon Jun 14 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20210615021823.4b511e7
- Update patches
- Restrict publishing jobs to master

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20210528120208.20a2ac9
- Update patches

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20210513055206.20a2ac9
- Update patches
- Fix build error on aarch64
- Fix python2 compatible ipa creations
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Fri Apr 16 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.0-0.20210416051732.93292bf
- Update patches
- Fix: IPA image building with OpenSuse.

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 2.5.0-1
- Update patches
- Fix tinyipa virtual media indicator flag
- Copy resolv.conf handling from diskimage-builder

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a job to test tinyipa in ussuri

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add a job to test tinyipa in ussuri
- Add a job to test tinyipa in ussuri

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a job to test tinyipa in ussuri
- dhcp.sh predictible ifnames

* Thu Mar 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Use ussuri branch for tinyipa check job for ussuri"
- Use ussuri branch for tinyipa check job for ussuri
- Centralize variables

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tinyipa ussuri jobs
- Use git hash instead of release to build ipmitool

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid empty dependencies in tox.ini
- Do not build iso for ussuri ipa
- Use tinycore 12 to build tinyipa

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Relax requirement of diskimage-builder

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure we can create tinyipa isos

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop ppc64le installs of biosdevname, efibootmgr, efivar

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Makefile from accidential change
- Remove PYOPTIMIZE_TINYIPA capability
- Support installing ironic-lib from source

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix list formatting

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade pip to at least 19.1.1

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update version of tgt to 1.0.80

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add nvme-cli package to IPA image
- Update requirements for diskimage-builder

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reconfigure tox.ini

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removes unnecessary requirement of sdparm

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add doc/requirements
- Make the debian job voting and start publishing debian images

* Wed Jan 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove firmware from debian based systems

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ELEMENTS_PATH environment variable being overwritten.
- Add ironic-ramdisk-base to build general-purpose ramdisks

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add additional firmware images to be excluded
- Clean up package installation

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Switch images to CentOS Stream 8"
- Remove netronome and amdgpu firmware by default

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch images to CentOS Stream 8
- Support using lzma for initramfs compression
- Workaround for latest pip versions

* Wed Dec 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run check image jobs on ubuntu focal
- Remove nodeset from ironic-python-agent-build-image-base based jobs

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Repair the previous image name

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use more generic TOX_CONSTRAINTS_FILE
- Force SELinux to be in permissive mode

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add documentation about the available Elements
- Set safe version of hacking
- Use centos element for dib on focal

* Tue Oct 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support the configuration directory for tinyIPA

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use tinycore 11 to build tinyipa

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add an element to install python-hardware

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Advertise HTTPS in IPA ramdisk without Ironic assist
- tinyipa: use python 3 for building on all systems

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in spelling of "finalise", breaking build
- Fix cacert path for TLS element
- Add dosfsutils for EFI to tinyipa
- Use converted ipa jobs

* Fri Sep 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Followups for TLS support

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add element to configure IPA with TLS, use configdir
- Install libssl-dev / openssl-devel when building IPA

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build centos8 on centos8
- Remove old proc before finalising tinyipa

* Sun Aug 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Leave kbd installed

* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move zuul config in zuul.d
- Pin pip version to install in tinyipa images

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Pin pip version to install in tinyipa images
- Pin pip version to install in tinyipa images

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pin pip version to install in tinyipa images

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix finalise tinyipa

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update name of ipa job

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support installing with Python 3 on CentOS 7

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log IPv6 configuration status for tinycore

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dynamic-login to our published images by default

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Strip some excess from the centos dib image

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Tripleo IPA build image job in zuul layout

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [tinyipa] Fix getting MTU via dhcp

* Sat Jul 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set min version of tox to 3.2.1

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes DIB_IPA_CERT certificate copy issue

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build tinyipa on focal

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable EPEL on CentOS 8 by default

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable automatic updates in dnf-based systems

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run ensure-pip in the build/check jobs

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix python-dev package mapping

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install missing ffi development library

* Sat May 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add releasenotes link to README

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change ownership of tce info dir

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install linux-firmware in DIB images

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update tox.ini

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [Trivial] Doc update on the stable-interface-names

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install e2fsprogs in dib images

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add DIB_REPOREF_requirements when building images using a specific branch

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Workaround for missing adjtime file
- Use python3 binary for all operations
- Use variables for ssh paths

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use python3 binary for all operations
- Use python3 binary for all operations

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use python3 binary for all operations

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use train branch for centos7 job

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force DIB_PYTHON_VERSION to 3 for Debian
- Make Ubuntu Bionic job green again

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade pip if it's too old

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ntpdate/ntpclient/chrony

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade to tinycore 10.x

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add extra filesystem support

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Test artifact publishing via AFS"

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Test artifact publishing via AFS

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use correct command for Python virtualenv

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pip install pkgs with non-ascii characters in filenames

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "DIB: replace targetcli with target-restore on RHEL/CentOS 8"
- DIB: replace targetcli with target-restore on RHEL/CentOS 8

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix and return the CentOS 7 job

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Start installing DIB from Zuul-cloned sources in the CI

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add efivar"
- Add efivar

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CI: add a non-voting partition-iscsi DIB job

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert versions for software builds to variables"
- Convert versions for software builds to variables

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Upgrade syslinux version"
- Merge "Use variables for syslinux in build-iso script"
- Upgrade syslinux version
- Use variables for syslinux in build-iso script

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Replace CentOS 7 images with CentOS 8"
- Replace CentOS 7 images with CentOS 8

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Be a bit more verbose around tinyipa for rescue

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the binary name in document

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add efibootmgr"
- Add efibootmgr

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update tinycore mirrors"
- Update tinycore mirrors

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Update tinycore from 9.x to 10.x""
- Revert "Update tinycore from 9.x to 10.x"

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add words on building image for other architecture
- Merge "Update tinycore from 9.x to 10.x"
- Update tinycore from 9.x to 10.x

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python 2.7 support and testing

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix IPA execution issues due to lack of entropy

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate checksums for DIB images

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "CLI: add --verbose and --extra-args"
- CLI: add --verbose and --extra-args

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tinyIPA: raise udevadm settle timeout

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "DIB: add --branch argument to override IPA branch"
- DIB: add --branch argument to override IPA branch

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Clone and checkout is not needed anymore"
- Clone and checkout is not needed anymore

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Temporary raise diskimage-builder to the latest version""
- Revert "Temporary raise diskimage-builder to the latest version"

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update upper-constraints handling

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow extra python pakgs into tinyipa"
- Allow extra python pakgs into tinyipa

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow changing DIB_RELEASE and add a job with CentOS 8

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Slim down the pre-built DIB IPA images"
- Merge "DIB: allow disabling rescue mode"
- Merge "Increase the DIB DHCP timeout to 60"
- Slim down the pre-built DIB IPA images
- DIB: allow disabling rescue mode
- Increase the DIB DHCP timeout to 60

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "DIB: default to installing pip and virtualenv from packages"
- DIB: default to installing pip and virtualenv from packages

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporary raise diskimage-builder to the latest version

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "DIB: do not mention dhcp-all-interfaces explicitly"
- DIB: add non-voting image building jobs for various distros
- DIB: do not mention dhcp-all-interfaces explicitly


